unit main;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
    slFile:TStringlist;
    aZitate:array of String;
    letztesZitat:Integer;
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{$R *.lfm}

{ TForm1 }
//***Bei Programmstart***
procedure TForm1.FormCreate(Sender: TObject);
var i:Integer;
begin
  setlength(aZitate,0);
  Randomize;
  //Prüfen ob Datei existiert
  if FileExistsUTF8('zitate_de.txt') then
  begin
    //Datei laden ...
    slFile:=TStringList.Create;
    slFile.LoadFromFile('zitate_de.txt');
    //... und die Zitate in ein Array speicheren
    for i:=0 to slFile.Count-1 do
    begin
      if (slFile.Strings[i]<>'###') and (slFile.Strings[i]<>'~119~') then
      begin
        setlength(aZitate, length(aZitate)+1);
        aZitate[length(aZitate)-1]:=slFile.Strings[i];
      end;
    end;
    slFile.Free;
  end;
end;

//***Bei Programmende***
procedure TForm1.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  //Speicher freigeben
  setlength(aZitate,0);
end;

//***Beim drücken des Button***
procedure TForm1.Button1Click(Sender: TObject);
begin
  letztesZitat:=random(length(aZitate)-1);
  ShowMessage(aZitate[letztesZitat]);
end;

end.

